1.0

1.0

get /v1/cdns/{id}

Description

detail cdn service

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceDetailResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 200

{
    "cdn": {
        "account_id": "",
        "cache_expiry_time": "",
        "cache_key_hostname": "",
        "caching_option": "",
        "cdn_origin_hostname": "",
        "cdn_origin_port": "",
        "cdn_origin_protocol": "",
        "cdn_service_activation_state": "",
        "cdn_service_config_version": "",
        "cdn_service_domain": "",
        "cdn_service_origin_path": "",
        "cdn_service_state": "",
        "content_policy": "",
        "created_at": "",
        "created_by": "",
        "custom_forward_host_header": "",
        "description": "",
        "forward_host_header": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "origin_hostname_type": "",
        "query_string_ignored": "",
        "range_request_allowed": "",
        "region": "",
        "request_custom_headers": "",
        "response_custom_headers": ""
    }
}